@import url('https://fonts.googleapis.com/css?family=Ruthie');

.main-content {
  overflow:hidden;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-flow: column;
  height: 100vh;
  background: linear-gradient(to right, rgba(36,31,31,1) 0%, rgba(36,31,31,1) 32%, rgba(74,71,70,1) 100%);
  text-align: center;
}

.titleCont{position:relative;}

.main-title {
  border: 1px solid #ccc;
    padding: 1em;    
    font-weight: 400;
    font-size: 40px;
    color: #ccc;
    font-family: 'Ruthie', serif;
    position:relative;
    line-height:1.3;
}

.jewel {
  position: relative;
  display: inline-block;
}

.jewel span {
  display: inline-block;
  white-space: nowrap;
}

.mask {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  animation: mask 2s linear infinite;
}

.mask > div {
  width: 5px;
  overflow: hidden;
  transform: skewX(-30deg);
}

.mask > div > div {
  transform: skewX(30deg);
}

.mask span {
  color: #fff;
  text-shadow: 0 0 2px #fff;
  transform: skewX(30deg);
  animation: text 2s linear infinite;
}

@keyframes mask {
  0% { transform: translateX(-40px); }
  50% { transform: translateX(110%); }
  100% { transform: translateX(110%); }
}

@-moz-keyframes mask {
  0% { transform: translateX(-40px); }
  50% { transform: translateX(110%); }
  100% { transform: translateX(110%); }
}
@-webkit-keyframes mask {
  0% { transform: translateX(-40px); }
  50% { transform: translateX(110%); }
  100% { transform: translateX(110%); }
}
@-o-keyframes mask {
  0% { transform: translateX(-40px); }
  50% { transform: translateX(110%); }
  100% { transform: translateX(110%); }
}

@keyframes text {
  0% { transform: translateX(40px); }
  50% { transform: translateX(-110%); }
  100% { transform: translateX(-110%); }
}

@-moz-keyframes text {
  0% { transform: translateX(-40px); }
  50% { transform: translateX(110%); }
  100% { transform: translateX(110%); }
}
@-webkit-keyframes text {
  0% { transform: translateX(-40px); }
  50% { transform: translateX(110%); }
  100% { transform: translateX(110%); }
}
@-o-keyframes text {
  0% { transform: translateX(-40px); }
  50% { transform: translateX(110%); }
  100% { transform: translateX(110%); }
}